Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: apt-get upgrade не устанавливает linux-generic  (Прочитано 670 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Дмитрий Бо

  • Автор темы
  • Погонщик серверов
  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 3539
  • Я не техподдержка, я за порядком слежу
    • Просмотр профиля
    • LinkedIn
apt-get upgrade не устанавливает linux-generic
« : 11 Январь 2009, 05:37:20 »
Сделал apt-get upgrade, перезагрузился, после этого менеджер обновлений предложил установить 8 "важных обновлений безопасности" (ядро, хедеры и модули). Apt удверждает, что всё самое новое уже установлено.

Чего я не понимаю?  :-\
Не опускай рук, а то пропустишь в бороду

Оффлайн ende_neu

  • Старожил
  • *
  • Сообщений: 2473
    • Просмотр профиля
Re: apt-get upgrade не устанавливает linux-generic
« Ответ #1 : 11 Январь 2009, 05:52:36 »
Ну апт всяко главнее упдате-менеджера.А в Синаптике что?

Оффлайн Дмитрий Бо

  • Автор темы
  • Погонщик серверов
  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 3539
  • Я не техподдержка, я за порядком слежу
    • Просмотр профиля
    • LinkedIn
Re: apt-get upgrade не устанавливает linux-generic
« Ответ #2 : 11 Январь 2009, 06:09:24 »
Ну апт всяко главнее упдате-менеджера.А в Синаптике что?
Синаптик кажет 4 обновляемых пакета.
Может быть, дело в apt-proxy, но по идее если sources.list один на всех, то обновления либо есть, либо их нет. А тут такие разночтения... Непонятно.
Не опускай рук, а то пропустишь в бороду

Оффлайн Дмитрий Бо

  • Автор темы
  • Погонщик серверов
  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 3539
  • Я не техподдержка, я за порядком слежу
    • Просмотр профиля
    • LinkedIn
Re: apt-get upgrade не устанавливает linux-generic
« Ответ #3 : 11 Январь 2009, 06:55:18 »
Там 4 пакета обновляемых и 4 новых хочет поставиться, так что сходится. Apt их тоже находит, но не ставит. Параметры --install-recommends и --force-yes ничего не дают, помогает только apt-get dist-upgrade. Он мне ненароком до ибекса систему не обновит, когда тот выйдет?
« Последнее редактирование: 19 Январь 2009, 10:03:42 от Дмитрий Бо »
Не опускай рук, а то пропустишь в бороду

 

Страница сгенерирована за 0.05 секунд. Запросов: 22.